this version of snagit helper is incompatible with the Editor on MacBook Restart every time

  • 1
  • Problem
  • Updated 2 years ago
Every time I restart my MacBook I get the following message:
"this version of snagit helper is incompatible with the Editor"

It's been going on since I updated to the latest version months ago.
Was hoping to find some resolution.

MacBook Sierra - latest update.
But it's been 6 months going with all MacBook updates.
Photo of Kurt

Kurt

  • 4 Posts
  • 0 Reply Likes
  • frustrated

Posted 2 years ago

  • 1
Photo of SactoBob

SactoBob

  • 116 Posts
  • 35 Reply Likes
Have you updated your OS yet to 10.12.1?  I had been seeing that for several months also but it stopped popping up as of the 10.12.1 update.
Photo of Kurt

Kurt

  • 4 Posts
  • 0 Reply Likes
I'm definitely updated to 10.12.1 and thank you for the reply..
Photo of pjonesCET

pjonesCET

  • 352 Posts
  • 65 Reply Likes
Also Apple has gotten strict on using 64-bit Extension and Plugins. And application manufacturers have gotten lax about updating all components of there software to 64-bit. Unlike PC that doesn't seem to Care On 32-bit programs have to have 32-bit extensions and Plugins. If they are mixed you have issues.
Photo of Kurt

Kurt

  • 4 Posts
  • 0 Reply Likes
Thanks!  That could be it.
Photo of Robert R.

Robert R., Online Community Admin

  • 1465 Posts
  • 414 Reply Likes
Hi Kurt!

Sorry that you are running into this particular issue, would it be possible to have you open a Support Ticket where our agents can then look into the issue for you and (hopefully) get you squared away (that or log a bug with our development team)?

Thanks!

-Robert